Bug 1263008 - Review Request: openfortivpn - Client for PPP+SSL VPN tunnel services
Review Request: openfortivpn - Client for PPP+SSL VPN tunnel services
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1263578
  Show dependency treegraph
 
Reported: 2015-09-14 17:44 EDT by Lubomir Rintel
Modified: 2015-09-18 11:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 11:21:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2015-09-14 17:44:31 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/openfortivpn.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/openfortivpn-1.0.1-1.20150914gitb22d9eb.fc22.src.rpm
FAS username: lkundrak

Description:

openfortivpn is a client for PPP+SSL VPN tunnel services. It spawns a pppd
process and operates the communication between the gateway and this process.

It is compatible with Fortinet VPNs.
Comment 1 Christopher Meng 2015-09-16 05:34:16 EDT
1. %{_sysconfdir}/openfortivpn/config

%config()?

2. ppp plugin directory is versioned, it's better to use

Requires:       ppp = $ppp_ver

or some others.

3. You miswrote Source0.

---------------------------------------------------------
Ok for swap review?
Comment 2 Lubomir Rintel 2015-09-16 08:18:51 EDT
(In reply to Christopher Meng from comment #1)
> 1. %{_sysconfdir}/openfortivpn/config
> 
> %config()?

Fixed.

> 2. ppp plugin directory is versioned, it's better to use
> 
> Requires:       ppp = $ppp_ver
> 
> or some others.

We don't install a ppp plugin.

> 3. You miswrote Source0.

No, it's the one I intended to package. They're going to merge soon, I'll then just switch it to the original one instead of the forked one. This just seemed nicer that a pile-o-patches.

> Ok for swap review?

Sure, let me know which one you'd like me to review.

SPEC: http://v3.sk/~lkundrak/SPECS/openfortivpn.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/openfortivpn-1.0.1-2.20150914gitb22d9eb.fc22.src.rpm
Comment 3 Christopher Meng 2015-09-16 08:40:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)". Detailed output of licensecheck:

GPL (v3 or later)
-----------------
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/config.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/config.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/hdlc.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/hdlc.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/http.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/http.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/io.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/io.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/ipv4.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/ipv4.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/log.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/log.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/main.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/ssl.h
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/tunnel.c
openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/src/tunnel.h

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     openfortivpn-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros


Installation errors
-------------------
INFO: mock.py version 1.2.12 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.12
INFO: Mock Version: 1.2.12
Finish: chroot init
INFO: installing package(s): /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-debuginfo-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-debuginfo-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 24 install /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-debuginfo-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm /home/rpmaker/Desktop/openfortivpn/results/openfortivpn-debuginfo-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm


Rpmlint
-------
Checking: openfortivpn-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm
          openfortivpn-debuginfo-1.0.1-2.20150914gitb22d9eb.fc24.i686.rpm
          openfortivpn-1.0.1-2.20150914gitb22d9eb.fc24.src.rpm
openfortivpn.i686: W: spelling-error %description -l en_US pppd -> pp pd, pp-pd, popped
openfortivpn.i686: E: non-readable /etc/openfortivpn/config 600
openfortivpn.src: W: spelling-error %description -l en_US pppd -> pp pd, pp-pd, popped
3 packages and 0 specfiles checked; 1 errors, 2 warnings.




Requires
--------
openfortivpn-debuginfo (rpmlib, GLIBC filtered):

openfortivpn (rpmlib, GLIBC filtered):
    config(openfortivpn)
    libc.so.6
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libpthread.so.0
    libssl.so.10
    libssl.so.10(libssl.so.10)
    libutil.so.1
    ppp
    rtld(GNU_HASH)



Provides
--------
openfortivpn-debuginfo:
    openfortivpn-debuginfo
    openfortivpn-debuginfo(x86-32)

openfortivpn:
    config(openfortivpn)
    openfortivpn
    openfortivpn(x86-32)



Source checksums
----------------
https://github.com/lkundrak/openfortivpn/archive/b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31/openfortivpn-b22d9eb05aaa7666abc7ffbfc3daa3c842c03d31.tar.gz :
  CHECKSUM(SHA256) this package     : 15c9450acbdd472db19e433f34a20d72585e86146322a1779c2da7d1d6d4051b
  CHECKSUM(SHA256) upstream package : 15c9450acbdd472db19e433f34a20d72585e86146322a1779c2da7d1d6d4051b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rvn openfortivpn-1.0.1-2.20150914gitb22d9eb.fc22.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
-------------------

PACKAGE APPROVED.

-------------------

Swap with bug 1260911.
Comment 4 Lubomir Rintel 2015-09-17 07:12:01 EDT
New Package SCM Request
=======================
Package Name: openfortivpn
Short Description: Client for PPP+SSL VPN tunnel services
Upstream URL: https://github.com/adrienverge/openfortivpn
Owners: lkundrak
Branches: f21 f22 f23 el6 epel7
Comment 5 Gwyn Ciesla 2015-09-17 08:56:46 EDT
Git done (by process-git-requests).
Comment 6 Lubomir Rintel 2015-09-18 11:21:01 EDT
Imported and built.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.